<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLeadsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('leads', function (Blueprint $table) {
            $table->increments('id');

            $table->bigInteger('user_id')->nullable();
            $table->string('lead_no')->nullable();
            $table->string('added_by')->nullable();
            $table->string('name')->nullable();
            $table->string('title')->nullable();
            $table->text('description',1000)->nullable();
            $table->string('email')->nullable();
            $table->string('contact')->nullable();
            $table->string('status')->default('New Contact');
            $table->timestamp('date')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('leads');
    }
}
